> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Count filter values

> Returns the total number of values in a set filter transform.

Returns the total number of values in the filter.

<Note>
  **Required permission:** `read` — owners, editors, readers, and members of teams shared via `viewer_team`.
</Note>

**Path parameters:**

| Parameter       | Description                     |
| :-------------- | :------------------------------ |
| `config_id`     | Pipeline configuration ID       |
| `transform_uid` | UID of the set filter transform |

```bash theme={null}
curl -X GET https://api.allium.so/api/v1/beam/${CONFIG_ID}/transforms/${TRANSFORM_UID}/filter-values/count \
  -H "X-API-Key: ${ALLIUM_API_KEY}"
```

**Response:**

```json theme={null}
{ "count": 1500 }
```


## OpenAPI

````yaml _openapi/beam-api.json GET /api/v1/beam/{config_id}/transforms/{transform_uid}/filter-values/count
openapi: 3.1.0
info:
  title: Allium Beam API
  description: Allium Beam — managed streaming pipelines on top of Allium Datastreams.
  version: 1.0.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/beam/{config_id}/transforms/{transform_uid}/filter-values/count:
    get:
      tags:
        - BEAM
      summary: Count Filter Values Handler
      operationId: >-
        count_filter_values_handler_api_v1_beam__config_id__transforms__transform_uid__filter_values_count_get
      parameters:
        - name: config_id
          in: path
          required: true
          schema:
            type: string
            title: Config Id
        - name: transform_uid
          in: path
          required: true
          schema:
            type: string
            title: Transform Uid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FilterValueCountResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    FilterValueCountResponse:
      properties:
        count:
          type: integer
          title: Count
      type: object
      required:
        - count
      title: FilterValueCountResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````